2020-11-27_21.11.35.jpg

Visit

We are currently closed for the public. If you are interested in joining you will need to apply for builder.

NOTE!

We no longer require the modpack below to join!
You only to load any Minecraft version between 1.8 and 1.16 to join.
Use the IP above after loading the version!

Downloading the Modpack

Please read the instructions and follow the slides to download the Modpack. Click the button that corresponds to your operating system to install. Keep in mind the instructions are for Windows.